Displaying 1 result from an estimated 1 matches for "904b961".
2009 Dec 15
1
[PATCH] If the specified ISO does not exist, then the script dies.
...re run, the ISO is checked and if it doesn't exist
then the script exits with an explicit failure.
Signed-off-by: Darryl L. Pierce <dpierce at redhat.com>
---
autotest.sh | 4 ++++
1 files changed, 4 insertions(+), 0 deletions(-)
diff --git a/autotest.sh b/autotest.sh
index c67931a..904b961 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -723,6 +723,10 @@ done
isoname=$(basename $isofile)
isofile="$(cd `dirname $isofile`; pwd)/${isoname}"
+if ! [ -s "${isofile}" ]; then
+ die "Missing or invalid file: ${isofile}"
+fi
+
shift $(($OPTIND - 1))
set...